#version 330 core
layout (location = 0) in vec3 vPos;
layout (location = 1) in vec3 vColor;
layout (location = 2) in vec2 vTexCoord;
layout (location = 3) in vec3 vNormal;
//varying vec3 color;
uniform mat4 MVP;

out vec3 ourColor;
out vec3 ourNormal;
out vec2 TexCoord;
out vec3 FragPos;

void main()
{
   gl_Position = MVP * vec4(vPos, 1.0);
	ourColor = vColor;
	TexCoord = vec2(vTexCoord.x, vTexCoord.y);
    FragPos = vec3(MVP * vec4(vPos, 1.0));
    ourNormal = vNormal;
};
